INTERFACE
SUBROUTINE ESPNHSI_GEOGW(&
 & CDCONF,KM,KSTA,KEND,LDONEM,&
 & PSPVORG,PSPDIVG,PSPTG,PSPSPG,PSPSPDG,PSPSVDG) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE YOMDIM , ONLY : NFLEVG
CHARACTER(LEN=1) ,INTENT(IN) :: CDCONF
INTEGER(KIND=JPIM),INTENT(IN) :: KM
INTEGER(KIND=JPIM),INTENT(IN) :: KSTA
INTEGER(KIND=JPIM),INTENT(IN) :: KEND
LOGICAL ,INTENT(IN) :: LDONEM
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPVORG(NFLEVG,KSTA:KEND)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPDIVG(NFLEVG,KSTA:KEND)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPTG(NFLEVG,KSTA:KEND)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPSPG(KSTA:KEND)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPSPDG(NFLEVG,KSTA:KEND)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPSVDG(NFLEVG,KSTA:KEND)
END SUBROUTINE ESPNHSI_GEOGW
END INTERFACE
